BBG Bugs - Bug #1041

Assignment Employee Pensiun, Relasi ke ORM seharusnya terputus tapi membentuk relasi baru
04/12/2022 04:37 PM - ikawati basri

Status: Closed Start date: 04/12/2022
Priority: Immediate Due date: 04/19/2022
Assignee: ikawati basri % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 5.00 hours
Description

Mba Yooma,

di BBG saat melakukan assignment employee untuk employee yang pensiun, dengan data:
1. Movement Type = Termination

2. Movement Reason = Pensiun Normal

3. Employee Status = Resign

setelah save data, seharusnya relasi yang terbentuk terdelimit & terputus, agar posisi yang ditempati employee tersebut kosong &
bisa digunakan oleh employee lain.

contoh employee:
ILHAM MALINO (00000016)
Posisi: 00000172

Relasi yang terbentuk setelah di assign pensiun pada tanggal 31 desember 2021 (seharusnya tidak ada relasi baru):
20211231 99991231 00000016 E B 003 1 P 00000172
20211231 99991231 00000172 P A 003 1 E 00000016

Akibatnya, employee tersebut masih ada di ORM & posisinya tidak bisa diisi oleh orang lain.

Database: remote.minovais.com,1438\MSSQLSERVER2012 - MinovaES_BBG_Prod
Table: PHRPA0002 & PHROMO0002

app: http://remote.minovais.com:61123/
user: captain (123Aa)

Mohon bantuannya untuk di fixing ya mba. Makasii

History

#1 - 04/18/2022 11:35 AM - Kezia Pawitra Yulianti
- Due date changed from 04/14/2022 to 04/19/2022
- Status changed from New to Assigned

- Priority changed from High to Immediate

#2 - 04/19/2022 12:10 PM - Tri Rizqiaty
- File clipboard-202204191209-bhvku.png added

- Status changed from Assigned to Developing

Fixing :

1. Update table PCMEPGENPARAM - parameter : EMPSTATTERMINATECODE , sesuai gambar terlampir
http://remote.minovais.com:61123/

'WIN-6PEHSTRPCMH...- dbo.PHRPADDD2 WIN-6PEHSTRPCM...- dbo.PHROMODD2
Column Alias Table Qutp... Sort Type Sort Order
StartDate PCMEPGE...

EndDate PCMEPGE...

» Parameter PCMEPGE...
Sequence PCMEPGE...
Maodule PCMEPGE...
Operator] PCMEPGE...
Valuel PCMFPGF A

WIN-G6PEHSTRPCM...PCMEPGENPARAM  + < g8
Filter Or...

= 'EMPSTATTERMINATECODE'

SELECT TOP (200) StartDate, EndDate, Parameter, Sequence, Module, Operator], Valuel, Operator2, Value2, Notes, CreateBy, CreateDate, ChangeBy, ChangeDate

FROM PCMEPGENPARAM
'WHERE (Parameter = 'EMPSTATTERMINATECODE")

StartDate EndDate Parameter Sequence
18000101 99991231 EMPSTATTERMIMATECODE 1
- NULL NULL NULL NULL

#3 - 04/19/2022 12:10 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to ikawati basri

#4 - 04/19/2022 01:30 PM - ikawati basri
- Status changed from QA Test to Closed

Files

tambah 00

Module Operatorl Value Operator2 Value2 Motes CreateBy
ORM = 00,02,03,04 Kode untuk empleyee status yang resign  minovais

NULL NULL NULL NULL NULL NULL NULL
